By Voyage Number
Get the voyages of a vessel, grouped by the voyage number reported by the crew/charterer. Reports are processed in chronological order, and a new voyage starts whenever the voyage number changes. Voyage numbers are not unique: if a voyage number is reused later on, it results in a separate voyage. Consecutive reports without a voyage number result in a voyage with a voyage number of null. Voyages are ordered chronologically and follow each other without gaps. These voyages are independent from the voyage legs used by the regulation endpoints. Note: This API endpoint is provided as is, and might change at any time without prior notice.
Authorization
apiKey In: header
Get the voyages of a vessel, grouped by the voyage number reported by the crew/charterer. Reports are processed in chronological order, and a new voyage starts whenever the voyage number changes. Voyage numbers are not unique: if a voyage number is reused later on, it results in a separate voyage. Consecutive reports without a voyage number result in a voyage with a voyage number of null. Voyages are ordered chronologically and follow each other without gaps. These voyages are independent from the voyage legs used by the regulation endpoints. Note: This API endpoint is provided as is, and might change at any time without prior notice.
Path Parameters
Organization tag to filter by
IMO of the vessel
Query Parameters
Start of the range to filter by
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$date-timeEnd of the range to filter by
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/external/v3/organization/TESTORG/vessel/1234567/voyages/by-voyage-no?from=2025-01-01T00%3A00%3A00Z&to=2026-01-01T00%3A00%3A00Z"[ { "voyage_no": "B168", "from": "2025-01-01T00:00:00Z", "to": "2025-01-15T00:00:00Z", "from_port": "DEHAM", "from_port_long": "Hamburg", "to_port": "NLRTM", "to_port_long": "Rotterdam" }]{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "message": "string"}{ "error": "string", "message": "string", "status": 0}